require('dotenv').config();
module.exports = {


    friendlyName: 'Create',


    description: 'Create Attribution rang!',


    inputs: {
        codeEcole: {
            type: 'string',
            required: true
        },

        anneeScolaire: {
            type: 'string',
            required: true
        },
        systemSco: {
            type: 'string',
            required: true
        },


        logiUsername: {
            type: 'string',
            require: true

        },
        key: {
            type: 'string',
            require: true

        },
        logiPassword: {
            type: 'string',
            require: true

        },


    },


    exits: {
        notFound: {
            statusCode: 404
        },
    },


    fn: async function (inputs, exits) {

        //console.log("INPUTS 1", inputs)

        // TOKEN VERIFY
        let user = await Utilisateurs.find({ login: inputs.logiUsername, codeUser: inputs.logiPassword }).then(_.first)
        if (!user) {
            return exits.notFound('Utilisateur non trouvé')
        }
        console.log("INPUTS 2", inputs)

        let keyVerify = process.env.KEYVERIFY
        //
        if (keyVerify !== inputs.key) {
            return exits.notFound({ message: "Token non valide" })
        }


        ///////////////////
        let attributionSysCreate;
        let attributionSys = await AttributionSysSco.find({ codeEcole: inputs.codeEcole, anneeScolaire: inputs.anneeScolaire, systemSco: inputs.systemSco }).then(_.first)
        if (attributionSys) {

            return exits.notFound({ message: "Cette Attribution existe déja, veuillez la modifier!" })
        } else {
            attributionSysCreate = await AttributionSysSco.create(inputs).fetch();
        }
        // All done.
        return exits.success(attributionSysCreate);

    }


};
